"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Header = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Icon = _interopRequireDefault(require("../../../Icon"));
var _CloseIcon = _interopRequireDefault(require("../../../../assets/icons/CloseIcon.png"));
var _ResetIcon = _interopRequireDefault(require("../../../../assets/icons/ResetIcon.png"));
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Header = _ref => {
  let {
    close,
    restartConversation,
    title,
    mainColor
  } = _ref;
  const onClose = () => close();
  const onRestartConversation = () => restartConversation();
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_styles.styles.container, _styles.styles.wrapper, {
      backgroundColor: mainColor
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.titleContainer
  }, /*#__PURE__*/_react.default.createElement(_Icon.default, null), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _styles.styles.title
  }, title)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.iconsWrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    testID: "restartConversation",
    onPress: onRestartConversation
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.iconContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _ResetIcon.default
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    testID: "closeChat",
    onPress: onClose
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.iconContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _CloseIcon.default
  })))));
};
exports.Header = Header;
//# sourceMappingURL=index.js.map