"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Observable = void 0;
class Observable {
  constructor() {
    this.observers = [];
  }
  register(observer) {
    this.observers.push(observer);
  }
  notify(event, data) {
    for (const observer of this.observers) {
      if (observer.event === event) observer.callback(data);
    }
  }
}
exports.Observable = Observable;
//# sourceMappingURL=Observable.js.map