"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EncryptedStorageAdapter = void 0;
var _global = require("../../global");
let EncryptedStorage;
if (!_global.Global.isExpoApp) {
  EncryptedStorage = require('react-native-encrypted-storage').default;
}
class EncryptedStorageAdapter {
  async store(key, data) {
    try {
      const parsed = typeof data === 'object' ? JSON.stringify(data) : data;
      await EncryptedStorage.setItem(key, parsed);
    } catch (error) {
      throw error;
    }
  }
  async retrieve(key) {
    try {
      return await EncryptedStorage.getItem(key);
    } catch (error) {
      throw error;
    }
  }
  async clean() {
    try {
      await EncryptedStorage.clear();
    } catch (error) {
      throw error;
    }
  }
}
exports.EncryptedStorageAdapter = EncryptedStorageAdapter;
//# sourceMappingURL=EncryptedStorageAdapter.js.map