import React, { useState } from 'react';
import { TextInput, View, TouchableOpacity, Image } from 'react-native';
import { MessageTypes, From } from '../../../../types';
// import FilePicker from './components/FilePicker';

import sendIcon from '../../../../assets/send_icon.png';
import { styles } from './styles';
const ONE_THOUSAND = 1000;
export const Input = _ref => {
  let {
    sendMessage
  } = _ref;
  const [userText, setUserText] = useState('');
  const onSend = () => {
    if (!userText) return;
    const msg = {
      type: MessageTypes.TEXT,
      message: userText,
      from: From.USER
    };
    sendMessage(msg);
    setUserText('');
  };
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(TextInput, {
    placeholder: "Digite algo ...",
    placeholderTextColor: "#979AA5",
    onChangeText: setUserText,
    style: styles.input,
    value: userText,
    maxLength: ONE_THOUSAND
  }), /*#__PURE__*/React.createElement(View, {
    style: styles.icons
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    testID: "sendIcon",
    onPress: onSend
  }, /*#__PURE__*/React.createElement(Image, {
    source: sendIcon,
    style: styles.sendIcon
  }))));
};
//# sourceMappingURL=index.js.map