import React from 'react';
import { Modal } from 'react-native';
import { Header } from './components/Header';
import { MessageList } from './components/Messages';
import { Input } from './components/Input';
import { Footer } from './components/Footer';
export const Chat = _ref => {
  let {
    messages,
    configurations,
    close,
    restartConversation,
    sendMessage
  } = _ref;
  return /*#__PURE__*/React.createElement(Modal, {
    visible: configurations.isOpen,
    animationType: "slide"
  }, /*#__PURE__*/React.createElement(Header, {
    title: configurations.title,
    mainColor: configurations.settings.mainColor,
    restartConversation: restartConversation,
    close: close
  }), /*#__PURE__*/React.createElement(MessageList, {
    data: messages,
    settings: configurations.settings
  }), /*#__PURE__*/React.createElement(Input, {
    sendMessage: sendMessage
  }), /*#__PURE__*/React.createElement(Footer, null));
};
//# sourceMappingURL=index.js.map