import { Observable } from './Observable';
import { MessageTypes } from '../types';
import { getHourAndMinutes } from '../utils';
export class MessageList extends Observable {
  constructor() {
    let initialData = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    super();
    this.messages = initialData;
  }
  addMessage(incomingMessage) {
    const messages = this.messages.filter(msg => msg.type !== MessageTypes.TYPING);
    const message = {
      ...incomingMessage,
      hour: getHourAndMinutes()
    };
    messages.push(message);
    this.messages = messages;
    this.notify('addMessage', message);
  }
  changeStatus(id, status) {
    this.messages = this.messages.map(msg => {
      if (msg.id === id) return {
        ...msg,
        status
      };
      return msg;
    });
  }
  clearMessages() {
    this.messages = [];
    this.notify('clearMessages', null);
  }
}
//# sourceMappingURL=MessageList.js.map