import { Global } from '../../global';
let EncryptedStorage;
if (!Global.isExpoApp) {
  EncryptedStorage = require('react-native-encrypted-storage').default;
}
export class EncryptedStorageAdapter {
  async store(key, data) {
    try {
      const parsed = typeof data === 'object' ? JSON.stringify(data) : data;
      await EncryptedStorage.setItem(key, parsed);
    } catch (error) {
      throw error;
    }
  }
  async retrieve(key) {
    try {
      return await EncryptedStorage.getItem(key);
    } catch (error) {
      throw error;
    }
  }
  async clean() {
    try {
      await EncryptedStorage.clear();
    } catch (error) {
      throw error;
    }
  }
}
//# sourceMappingURL=EncryptedStorageAdapter.js.map